List address transfers
curl --request GET \
--url https://api.xentfi.com/v1/addresses/{addressId}/transfers \
--header 'apiKey: <api-key>' \
--header 'orgId: <api-key>'const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/addresses/{addressId}/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.xentfi.com/v1/addresses/{addressId}/transfers"
headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.xentfi.com/v1/addresses/{addressId}/transfers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/addresses/{addressId}/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"transfer": [
{
"category": "external erc20 erc721 erc1155 internal specialnft",
"blockNum": "<string>",
"from": "<string>",
"to": "<string>",
"value": 123,
"symbol": "<string>",
"id": "<string>",
"hash": "<string>",
"timestamp": "<string>",
"asset": {
"id": "69d851b9-c358-4359-becd-3e614ca1ab4d",
"name": "Euro Coin",
"symbol": "EURC",
"decimals": 6,
"address": "0x08210F9170F89Ab7658F0B5E3fF39b0E03C594D4",
"standard": "ERC20",
"logoUrl": "https://example.com/eurc-logo.png",
"isActive": true,
"network": "mainnet",
"isNative": false,
"configurations": null,
"blockchain": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"symbol": "<string>",
"isActive": true,
"isEvmCompatible": true,
"chainId": 123,
"logoUrl": "<string>",
"tokenStandard": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"blockchainId": "8a864e95-4b86-423d-9ba4-f4e692ec121e",
"createdAt": "2026-02-26T15:10:53.032Z",
"updatedAt": "2026-02-26T15:10:53.032Z"
},
"rawContract": {
"value": "<string>",
"address": "<string>",
"decimal": "<string>"
}
}
],
"pageInfo": {
"hasMore": true,
"nextCursor": "<string>"
},
"totalCount": 123
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}Addresses
List address transfers
GET
/
v1
/
addresses
/
{addressId}
/
transfers
List address transfers
curl --request GET \
--url https://api.xentfi.com/v1/addresses/{addressId}/transfers \
--header 'apiKey: <api-key>' \
--header 'orgId: <api-key>'const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/addresses/{addressId}/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.xentfi.com/v1/addresses/{addressId}/transfers"
headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.xentfi.com/v1/addresses/{addressId}/transfers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/addresses/{addressId}/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"transfer": [
{
"category": "external erc20 erc721 erc1155 internal specialnft",
"blockNum": "<string>",
"from": "<string>",
"to": "<string>",
"value": 123,
"symbol": "<string>",
"id": "<string>",
"hash": "<string>",
"timestamp": "<string>",
"asset": {
"id": "69d851b9-c358-4359-becd-3e614ca1ab4d",
"name": "Euro Coin",
"symbol": "EURC",
"decimals": 6,
"address": "0x08210F9170F89Ab7658F0B5E3fF39b0E03C594D4",
"standard": "ERC20",
"logoUrl": "https://example.com/eurc-logo.png",
"isActive": true,
"network": "mainnet",
"isNative": false,
"configurations": null,
"blockchain": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"symbol": "<string>",
"isActive": true,
"isEvmCompatible": true,
"chainId": 123,
"logoUrl": "<string>",
"tokenStandard": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"blockchainId": "8a864e95-4b86-423d-9ba4-f4e692ec121e",
"createdAt": "2026-02-26T15:10:53.032Z",
"updatedAt": "2026-02-26T15:10:53.032Z"
},
"rawContract": {
"value": "<string>",
"address": "<string>",
"decimal": "<string>"
}
}
],
"pageInfo": {
"hasMore": true,
"nextCursor": "<string>"
},
"totalCount": 123
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}Path Parameters
Query Parameters
Available options:
incoming, outgoing Available options:
ASC, DESC ⌘I

